Retrieve risk status

Returns the current risk status for the account, including whether the account is restricted and any outstanding tasks required to resolve risk or compliance issues.

Responses
  • application/json
  • application/json
  • application/json
  • application/json
  • application/json
Request Example for get/v1/risk/account_status
curl https://api.paypercut.io/v1/risk/account_status \
  --header 'Authorization: Bearer YOUR_SECRET_TOKEN'
{
  "status": "action_required",
  "blocking": true,
  "tasks": [
    {
      "id": "string",
      "requirement_id": "string",
      "kind": "document_upload",
      "blocking": true,
      "status": "action_required",
      "agreement_bundle": {
        "agreement_kind": "string",
        "agreement_version": 1,
        "locale": "string",
        "documents": [
          {
            "key": "string",
            "title": "string",
            "description": "string",
            "url": "string",
            "mandatory": true,
            "locale": "string",
            "doc_type": "string"
          }
        ]
      }
    }
  ]
}